<!DOCTYPE html>
<html lang="de">
  <head>
    <meta charset="utf-8">
    <title>PolNds | hide.me-Checker</title>
    <meta content="Patrick Neumann" name="author">
    <meta content="1.0" name="version">
    <link rel="shortcut icon" type="image/x-icon" href="/favicon.ico">
    <style type="text/css">
      .box {
        margin-left: auto;
        margin-right: auto;
        text-align: center;
        font-size: 2em;
        font-weight: bold;
        color: white;
      }
      .footer {
        margin-left: auto;
        margin-right: auto;
        text-align: right;
      }
    </style>
  </head>
  <body>
    <h1>PolNds | hide.me-Checker</h1>
<?php
// 80.228.52.30        # IPv4
// 2a02:821d:0:205::30 # IPv6
$itn = array( "80.228.52.30",
              "2a02:821d:0:205::30" );

// 85.17.24.66   # Niederlande
// 37.58.58.206  # Deutschland
// 207.244.66.70 # USA

$hideme = array( "85.17.24.66",
                 "37.58.58.206",
                 "207.244.66.70" );

if( in_array( $_SERVER[ "REMOTE_ADDR" ], $itn ) ) {
?>
    <p class="box" style="background-color:red;">
      <br>
      Leider müssen wir Dir mitteilen,<br>
      dass wir nicht mit der Polizei<br>
      zusammenarbeiten!
<?php
} elseif ( in_array( $_SERVER[ "REMOTE_ADDR" ], $hideme ) ) {
?>
    <p class="box" style="background-color:blue;">
      <br>
      Schön, dass Du "hide.me" benutzt!<br>
      Wenn Du Dich nicht im Intranet befindest,<br>
      brauchst Du keinen freien Proxy!
<?php
} else {
?>
    <p class="box" style="background-color:green;">
      <br>
      Wir begrüßen es sehr,<br>
      dass Du nicht aus dem Intranet der<br>
      Landesverwaltung Niedersachsen "kommst"<br>
      und auch nicht "hide.me" benutzt!
<?php } ?>
      <br>
      <br>
    </p>
    <p class="footer">
      Deine IP-Adresse:
       <b>
         <?php echo $_SERVER[ "REMOTE_ADDR" ]; ?>
       </b>
       <i>
         <small>
           <?php echo "(" . gethostbyaddr( $_SERVER['REMOTE_ADDR'] ) . ")\n"; ?>
         </small>
       </i>
    </p>
  </body>
</html>